#ifndef MODULEEVENTSHANDLER_H
#define MODULEEVENTSHANDLER_H


#include <QObject>
#include <QMenu>

class Module;
class ModuleEventsHandler : public QObject
{
  Q_OBJECT

public:
    ModuleEventsHandler();

signals:
    void beforeDelete(Module *module);
    void replaceMeWith(Module *sender, Module *newModule);
    void replaceMeWithModules(QList<Module*> module);
    void contextMenuRequest(QMenu &menu,const QPoint &p);
};

#endif // MODULEEVENTSHANDLER_H
