#ifndef PREFABDIALOG_H
#define PREFABDIALOG_H

#include <QDialog>

namespace Ui {
class PrefabDialog;
}

class PrefabDialog : public QDialog
{
    Q_OBJECT

public:
    explicit PrefabDialog(QWidget *parent = nullptr);
    ~PrefabDialog();

public slots:
    void onCreate();

signals:
    void newPrefabCreated(const QString &title, const QString &caption, const QString &description);


private:
    Ui::PrefabDialog *ui;
};

#endif // PREFABDIALOG_H
