#ifndef EMPTYMODULE_H
#define EMPTYMODULE_H

#include <QWidget>
#include <QSharedPointer>
#include <QMenu>
#include "Core/module.h"
#include "Modules/DefaultModule/defaultmodule.h"

namespace Ui {
class EmptyModule;
}

class EmptyModule : public DefaultModule
{
    Q_OBJECT

public:
    explicit EmptyModule();
    ~EmptyModule() override;

    //void onModuleSelected(Module *modulePointer);
    QWidget *toWidget() override;

    XmlObject toXmlObject() override;
    void fromXmlObject(const XmlObject &xmlObject) override;

protected:
    void connectUiSlots();

protected slots:
    void onSelectPanelClick();

private:
    Ui::EmptyModule *ui;
};

#endif // EMPTYMODULE_H
