#ifndef TREEVIEWERITEM_H
#define TREEVIEWERITEM_H

#include <QObject>
#include <QTreeWidgetItem>
#include "Core/xmlobject.h"

class TreeViewerItem : public QObject, public QTreeWidgetItem
{
    Q_OBJECT
public:
    TreeViewerItem();
    TreeViewerItem(const XmlObject &xml);
    ~TreeViewerItem();

    QList<QString> getAttributesNameList() const;
    void setAttributesColumn(QList<QString> headers);
private:
    XmlObject xml;
};

#endif // TREEVIEWERITEM_H
