#ifndef CONTEXTMENUSEPARATOR_H
#define CONTEXTMENUSEPARATOR_H


#include <QWidgetAction>
#include <QLabel>

class ContextMenuSeparator : public QWidgetAction
{
public:
    ContextMenuSeparator(QWidget *parent = nullptr);
    ContextMenuSeparator(const QString &txt ,QWidget *parent = nullptr);
    ~ContextMenuSeparator();
    void setHeight(int val);
    void setText(const QString &txt);

protected:
    void build();
private:
    QLabel label;
};

#endif // CONTEXTMENUSEPARATOR_H
