#include "skywardhubstrings.h"



const QString SkywardHubStrings::defaultConfigurationFolder = "SkywardHubConfig";
const QString SkywardHubStrings::defaultSettingsFilePath = defaultConfigurationFolder + "/" + "settings.xml";
const QString SkywardHubStrings::defaultPrefabsFolderName = "Prefabs";
const QString SkywardHubStrings::defaultLogsFolder = defaultConfigurationFolder + "/" + "Logs";
const QString SkywardHubStrings::defaultStreamFile = defaultConfigurationFolder + "/" + "StreamFile.txt";
const QString SkywardHubStrings::defaultPrefabsFolder = defaultConfigurationFolder + "/" + defaultPrefabsFolderName +"/";
const QString SkywardHubStrings::defaultConfigurationFileName = "default.xml";
const QString SkywardHubStrings::defaultConfigurationIconPath = defaultConfigurationFolder + "/" + "defaultConfigIcon.svg";


// Xml Tags Name
const QString SkywardHubStrings::skywardHubInitFileTag = "LoadOnLaunch";
const QString SkywardHubStrings::settingsObjectName = "Settings";
const QString SkywardHubStrings::configurationNameAttribute = "name";
const QString SkywardHubStrings::configurationNameValue = "Configuration";
const QString SkywardHubStrings::configurationIconPathAttribute = "ConfigurationIcon";
const QString SkywardHubStrings::configurationDescriptionAttribute = "Description";

// Output Messages
const QString SkywardHubStrings::settingsSavedCorrectlyMsg = "Settings saved";
const QString SkywardHubStrings::serialPortClosedErrorMsg = "Mavlink >> Error, Serial port closed, impossible to write msg";
const QString SkywardHubStrings::imageViewerInfo = "Dobule click on a label to open the settings panel";


// Topics
const QString SkywardHubStrings::commandsTopic = "TelemetryCommand";
const QString SkywardHubStrings::telemetryRequestTopic = "TelemetryRequest";
const QString SkywardHubStrings::treeViewerReceivingBaseTopic = "TreeViewer";

const QString SkywardHubStrings::logCommandsTopic = "LogCommands";
const QString SkywardHubStrings::raw_event_id = "event_id";
const QString SkywardHubStrings::raw_event_topic_id = "topic_id";
const QString SkywardHubStrings::mavlink_orientation_tc_yaw_name = "yaw";
const QString SkywardHubStrings::mavlink_orientation_tc_pitch_name = "pitch";
const QString SkywardHubStrings::mavlink_orientation_tc_roll_name = "roll";
const QString SkywardHubStrings::msgIdField = "id";
const QString SkywardHubStrings::msgSequenceNumberField = "sequenceNumber";
const QString SkywardHubStrings::mavlink_quality_link_topic = "MavlinkLinkQuality";
const QString SkywardHubStrings::mavlink_received_msg_topic = "Mav";
const QString SkywardHubStrings::mavlink_initial_coordinates_tc_latitude_name = "latitude";
const QString SkywardHubStrings::mavlink_initial_coordinates_tc_longitude_name = "longitude";

const QString SkywardHubStrings::mavlink_received_msg_ACK_topic = mavlink_received_msg_topic + "/ACK_TM";


SkywardHubStrings::SkywardHubStrings()
{

}
